org.apache.maven.scm.provider.git.gitexe.command.update

## Class GitUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.update.GitUpdateCommand

- All Implemented Interfaces:
    Command, GitCommand

      public class GitUpdateCommand
      extends AbstractUpdateCommand
      implements GitCommand

  Since:
    10 august 2008
  Version:
    $Id: GitUpdateCommand.java 823147 2009-10-08 12:39:23Z struberg $
  Author:
    olamy

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitUpdateCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(GitScmProviderRepository repository, File workingDirectory, ScmVersion scmVersion)` create the command line for updating the current branch with the info from the foreign repository.
    `static org.codehaus.plexus.util.cli.Commandline` | `createLatestRevisionCommandLine(GitScmProviderRepository repository, File workingDirectory, ScmVersion scmVersion)`
    `protected UpdateScmResult` | `executeUpdateCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion scmVersion)`
    `protected ChangeLogCommand` | `getChangeLogCommand()`

    - ### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### GitUpdateCommand

          public GitUpdateCommand()

  - ### Method Detail

    - #### executeUpdateCommand

          protected UpdateScmResult executeUpdateCommand(ScmProviderRepository repo,
                                             ScmFileSet fileSet,
                                             ScmVersion scmVersion)
                                                  throws ScmException

      Specified by:
        `executeUpdateCommand` in class `AbstractUpdateCommand`
      Throws:
        `ScmException`

    - #### getChangeLogCommand

          protected ChangeLogCommand getChangeLogCommand()

      Specified by:
        `getChangeLogCommand` in class `AbstractUpdateCommand`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(GitScmProviderRepository repository,
                                                                   File workingDirectory,
                                                                   ScmVersion scmVersion)

      create the command line for updating the current branch with the info from the foreign repository.

    - #### createLatestRevisionCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createLatestRevisionCommandLine(GitScmProviderRepository repository,
                                                                                 File workingDirectory,
                                                                                 ScmVersion scmVersion)

      Parameters:
        `scmVersion` - a valid branch or `null` if the master branch should be taken
      Returns:
        CommandLine for getting the latest commit on the given branch

Copyright © 2003–2015. All rights reserved.